set(LV_BUILD_USE_KCONFIG ON)
idf_component_register(SRCS main.c ../../meteofrance.c
                       INCLUDE_DIRS
                            "../../include"
                       WHOLE_ARCHIVE
                       REQUIRES stateManagement freertos json esp_http_client esp-tls
                       EMBED_TXTFILES ../../../../main/ca_cert.pem
)


# Currently 'main' for IDF_TARGET=linux is defined in freertos component.
# Since we are using a freertos mock here, need to let Catch2 provide 'main'.
#target_link_libraries(${COMPONENT_LIB} PRIVATE Catch2WithMain)
